Update a Comment

Behavior

Updates the specified file by setting the values of the parameters passed. Any parameters not provided will be left unchanged. After the comment is updated, the corresponding submission's grade will be recalculated automatically if any changes were made to the pointDelta field.

Returns

Returns the updated comment if the update succeeded. This call will raise an error if update parameters are invalid.
















Body Params
string

The text of the comment. This text will be shown to both graders and students.

int32

The index of the character on which the comment begins. The index is relative to the beginning of the character's line. Must be greater than or equal to 0. If startLine == endLine, cannot be greater than endChar.

int32

The index of the character on which the comment ends. The index is relative to the beginning of the character's line. Must be greater than or equal to 0. If startLine == endLine, cannot be less than endChar.

int32

The line of the parent File's code on which the comment should begin. Must be greater than or equal to 0, and cannot be greater than endLine.

int32

The line of the parent File's code on which the comment should end. Must be greater than or equal to 0, cannot be less than startLine, and cannot exceed the number of lines in the file.

int32

The ID of the file to which this Comment applies. Must represent a File which is a descendant of a Course in which you are a CourseAdmin.

int32

The delta the comment will apply to its ancestor submission's grade. A positive value indicates a deduction, while a negative value indicates an addition.

int32

The ID of a linked RubricComment. This field should be null if the comment isn't linked to any RubricComment. Must represent a RubricComment which is a descendant of a Course in which you are a Course Admin.

string

A hex string that indicates the color which a comment will render in codePost.

Headers
int32

ID of the Comment you want to update.

Response

Language
Credentials
Query
Request
Response
Choose an example:
application/json